Index: /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/ICB/icbutl.F90
===================================================================
--- /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/ICB/icbutl.F90	(revision 9189)
+++ /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/ICB/icbutl.F90	(revision 9190)
@@ -9,4 +9,5 @@
    !!            -    !  2011-04  (Alderson)       Split into separate modules
    !!----------------------------------------------------------------------
+
    !!----------------------------------------------------------------------
    !!   icb_utl_interp   :
@@ -48,6 +49,5 @@
    !! $Id$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
-   !!-------------------------------------------------------------------------
-
+   !!----------------------------------------------------------------------
 CONTAINS
 
@@ -65,12 +65,12 @@
       ! and ssh which is used to calculate gradients
 
-      uo_e(:,:) = 0._wp ;   uo_e(1:jpi, 1:jpj) = ssu_m(:,:) * umask(:,:,1)
-      vo_e(:,:) = 0._wp ;   vo_e(1:jpi, 1:jpj) = ssv_m(:,:) * vmask(:,:,1)
-      ff_e(:,:) = 0._wp ;   ff_e(1:jpi, 1:jpj) = ff_f (:,:) 
-      tt_e(:,:) = 0._wp ;   tt_e(1:jpi, 1:jpj) = sst_m(:,:)
-      fr_e(:,:) = 0._wp ;   fr_e(1:jpi, 1:jpj) = fr_i (:,:)
-      ua_e(:,:) = 0._wp ;   ua_e(1:jpi, 1:jpj) = utau (:,:) * umask(:,:,1) ! maybe mask useless because mask applied in sbcblk
-      va_e(:,:) = 0._wp ;   va_e(1:jpi, 1:jpj) = vtau (:,:) * vmask(:,:,1) ! maybe mask useless because mask applied in sbcblk
-
+      uo_e(:,:) = 0._wp   ;   uo_e(1:jpi,1:jpj) = ssu_m(:,:) * umask(:,:,1)
+      vo_e(:,:) = 0._wp   ;   vo_e(1:jpi,1:jpj) = ssv_m(:,:) * vmask(:,:,1)
+      ff_e(:,:) = 0._wp   ;   ff_e(1:jpi,1:jpj) = ff_f (:,:) 
+      tt_e(:,:) = 0._wp   ;   tt_e(1:jpi,1:jpj) = sst_m(:,:)
+      fr_e(:,:) = 0._wp   ;   fr_e(1:jpi,1:jpj) = fr_i (:,:)
+      ua_e(:,:) = 0._wp   ;   ua_e(1:jpi,1:jpj) = utau (:,:) * umask(:,:,1) ! maybe mask useless because mask applied in sbcblk
+      va_e(:,:) = 0._wp   ;   va_e(1:jpi,1:jpj) = vtau (:,:) * vmask(:,:,1) ! maybe mask useless because mask applied in sbcblk
+      !
       CALL lbc_lnk_icb( uo_e, 'U', -1._wp, 1, 1 )
       CALL lbc_lnk_icb( vo_e, 'V', -1._wp, 1, 1 )
@@ -84,7 +84,8 @@
       ui_e(:,:) = 0._wp ;   ui_e(1:jpi, 1:jpj) = u_ice(:,:)
       vi_e(:,:) = 0._wp ;   vi_e(1:jpi, 1:jpj) = v_ice(:,:)
-      CALL lbc_lnk_icb(hicth, 'T', +1._wp, 1, 1 )
-      CALL lbc_lnk_icb( ui_e, 'U', -1._wp, 1, 1 )
-      CALL lbc_lnk_icb( vi_e, 'V', -1._wp, 1, 1 )
+      !
+      CALL lbc_lnk_icb( hicth, 'T', +1._wp, 1, 1 )
+      CALL lbc_lnk_icb( ui_e , 'U', -1._wp, 1, 1 )
+      CALL lbc_lnk_icb( vi_e , 'V', -1._wp, 1, 1 )
 #endif
 
@@ -149,7 +150,7 @@
 
 #if defined key_lim3
-      pui = icb_utl_bilin_h( ui_e, pi, pj, 'U' )              ! sea-ice velocities
-      pvi = icb_utl_bilin_h( vi_e, pi, pj, 'V' )
-      phi = icb_utl_bilin_h(hicth, pi, pj, 'T' )              ! ice thickness
+      pui = icb_utl_bilin_h( ui_e , pi, pj, 'U' )              ! sea-ice velocities
+      pvi = icb_utl_bilin_h( vi_e , pi, pj, 'V' )
+      phi = icb_utl_bilin_h( hicth, pi, pj, 'T' )              ! ice thickness
 #else
       pui = 0._wp
@@ -160,7 +161,7 @@
       ! Estimate SSH gradient in i- and j-direction (centred evaluation)
       pssh_i = ( icb_utl_bilin_h( ssh_e, pi+0.1_wp, pj, 'T' ) -   &
-          &      icb_utl_bilin_h( ssh_e, pi-0.1_wp, pj, 'T' )  ) / ( 0.2_wp * pe1 )
+         &       icb_utl_bilin_h( ssh_e, pi-0.1_wp, pj, 'T' )  ) / ( 0.2_wp * pe1 )
       pssh_j = ( icb_utl_bilin_h( ssh_e, pi, pj+0.1_wp, 'T' ) -   &
-          &      icb_utl_bilin_h( ssh_e, pi, pj-0.1_wp, 'T' )  ) / ( 0.2_wp * pe2 )
+         &       icb_utl_bilin_h( ssh_e, pi, pj-0.1_wp, 'T' )  ) / ( 0.2_wp * pe2 )
       !
    END SUBROUTINE icb_utl_interp
@@ -181,4 +182,68 @@
       REAL(wp)                            , INTENT(in) ::   pi, pj    ! targeted coordinates in (i,j) referential
       CHARACTER(len=1)                    , INTENT(in) ::   cd_type   ! type of pfld array grid-points: = T , U , V or F points
+      !
+      INTEGER  ::   ii, ij   ! local integer
+      REAL(wp) ::   zi, zj   ! local real
+      !!----------------------------------------------------------------------
+      !
+      SELECT CASE ( cd_type )
+      CASE ( 'T' )
+         ! note that here there is no +0.5 added
+         ! since we're looking for four T points containing quadrant we're in of 
+         ! current T cell
+         ii = MAX(1, INT( pi     ))
+         ij = MAX(1, INT( pj     ))    ! T-point
+         zi = pi - REAL(ii,wp)
+         zj = pj - REAL(ij,wp)
+      CASE ( 'U' )
+         ii = MAX(1, INT( pi-0.5 ))
+         ij = MAX(1, INT( pj     ))    ! U-point
+         zi = pi - 0.5 - REAL(ii,wp)
+         zj = pj - REAL(ij,wp)
+      CASE ( 'V' )
+         ii = MAX(1, INT( pi     ))
+         ij = MAX(1, INT( pj-0.5 ))    ! V-point
+         zi = pi - REAL(ii,wp)
+         zj = pj - 0.5 - REAL(ij,wp)
+      CASE ( 'F' )
+         ii = MAX(1, INT( pi-0.5 ))
+         ij = MAX(1, INT( pj-0.5 ))    ! F-point
+         zi = pi - 0.5 - REAL(ii,wp)
+         zj = pj - 0.5 - REAL(ij,wp)
+      END SELECT
+      !
+      ! find position in this processor. Prevent near edge problems (see #1389)
+      !
+      IF    ( ii < mig( 1 ) ) THEN   ;   ii = 1
+      ELSEIF( ii > mig(jpi) ) THEN   ;   ii = jpi
+      ELSE                           ;   ii = mi1(ii)
+      ENDIF
+      IF    ( ij < mjg( 1 ) ) THEN   ;   ij = 1
+      ELSEIF( ij > mjg(jpj) ) THEN   ;   ij = jpj
+      ELSE                           ;   ij  = mj1(ij)
+      ENDIF
+      !
+      IF( ii == jpi )   ii = ii-1      
+      IF( ij == jpj )   ij = ij-1
+      !
+      icb_utl_bilin_h = ( pfld(ii,ij  ) * (1.-zi) + pfld(ii+1,ij  ) * zi ) * (1.-zj)   &
+         &            + ( pfld(ii,ij+1) * (1.-zi) + pfld(ii+1,ij+1) * zi ) *     zj
+      !
+   END FUNCTION icb_utl_bilin_h
+
+
+   REAL(wp) FUNCTION icb_utl_bilin( pfld, pi, pj, cd_type )
+      !!----------------------------------------------------------------------
+      !!                  ***  FUNCTION icb_utl_bilin  ***
+      !!
+      !! ** Purpose :   bilinear interpolation at berg location depending on the grid-point type
+      !!
+      !!       !!gm  CAUTION an optional argument should be added to handle
+      !!             the slip/no-slip conditions  ==>>> to be done later
+      !!
+      !!----------------------------------------------------------------------
+      REAL(wp), DIMENSION(jpi,jpj), INTENT(in) ::   pfld      ! field to be interpolated
+      REAL(wp)                    , INTENT(in) ::   pi, pj    ! targeted coordinates in (i,j) referential
+      CHARACTER(len=1)            , INTENT(in) ::   cd_type   ! type of pfld array grid-points: = T , U , V or F points
       !
       INTEGER  ::   ii, ij   ! local integer
@@ -213,96 +278,16 @@
       !
       ! find position in this processor. Prevent near edge problems (see #1389)
-
-      if (ii.lt.mig(1)) then
-        ii = 1
-      else if (ii.gt.mig(jpi)) then
-        ii = jpi
-      else
-        ii  = mi1( ii  )
-      end if
-
-      if (ij.lt.mjg(1)) then
-        ij = 1
-      else if (ij.gt.mjg(jpj)) then
-        ij = jpj
-      else
-        ij  = mj1( ij  )
-      end if
-
-      if (ij.eq.jpj) ij=ij-1
-      if (ii.eq.jpi) ii=ii-1      
-
-      !
-      icb_utl_bilin_h = ( pfld(ii,ij  ) * (1.-zi) + pfld(ii+1,ij  ) * zi ) * (1.-zj)   &
-         &            + ( pfld(ii,ij+1) * (1.-zi) + pfld(ii+1,ij+1) * zi ) *     zj
-      !
-   END FUNCTION icb_utl_bilin_h
-
-
-   REAL(wp) FUNCTION icb_utl_bilin( pfld, pi, pj, cd_type )
-      !!----------------------------------------------------------------------
-      !!                  ***  FUNCTION icb_utl_bilin  ***
-      !!
-      !! ** Purpose :   bilinear interpolation at berg location depending on the grid-point type
-      !!
-      !!       !!gm  CAUTION an optional argument should be added to handle
-      !!             the slip/no-slip conditions  ==>>> to be done later
-      !!
-      !!----------------------------------------------------------------------
-      REAL(wp), DIMENSION(jpi,jpj), INTENT(in) ::   pfld      ! field to be interpolated
-      REAL(wp)                    , INTENT(in) ::   pi, pj    ! targeted coordinates in (i,j) referential
-      CHARACTER(len=1)            , INTENT(in) ::   cd_type   ! type of pfld array grid-points: = T , U , V or F points
-      !
-      INTEGER  ::   ii, ij   ! local integer
-      REAL(wp) ::   zi, zj   ! local real
-      !!----------------------------------------------------------------------
-      !
-      SELECT CASE ( cd_type )
-         CASE ( 'T' )
-            ! note that here there is no +0.5 added
-            ! since we're looking for four T points containing quadrant we're in of 
-            ! current T cell
-            ii = MAX(1, INT( pi     ))
-            ij = MAX(1, INT( pj     ))    ! T-point
-            zi = pi - REAL(ii,wp)
-            zj = pj - REAL(ij,wp)
-         CASE ( 'U' )
-            ii = MAX(1, INT( pi-0.5 ))
-            ij = MAX(1, INT( pj     ))    ! U-point
-            zi = pi - 0.5 - REAL(ii,wp)
-            zj = pj - REAL(ij,wp)
-         CASE ( 'V' )
-            ii = MAX(1, INT( pi     ))
-            ij = MAX(1, INT( pj-0.5 ))    ! V-point
-            zi = pi - REAL(ii,wp)
-            zj = pj - 0.5 - REAL(ij,wp)
-         CASE ( 'F' )
-            ii = MAX(1, INT( pi-0.5 ))
-            ij = MAX(1, INT( pj-0.5 ))    ! F-point
-            zi = pi - 0.5 - REAL(ii,wp)
-            zj = pj - 0.5 - REAL(ij,wp)
-      END SELECT
-      !
-      ! find position in this processor. Prevent near edge problems (see #1389)
-
-      if (ii.lt.mig(1)) then
-        ii = 1
-      else if (ii.gt.mig(jpi)) then
-        ii = jpi
-      else
-        ii  = mi1( ii  )
-      end if
-
-      if (ij.lt.mjg(1)) then
-        ij = 1
-      else if (ij.gt.mjg(jpj)) then
-        ij = jpj
-      else
-        ij  = mj1( ij  )
-      end if
-
-      if (ij.eq.jpj) ij=ij-1
-      if (ii.eq.jpi) ii=ii-1
-
+      IF    ( ii < mig( 1 ) ) THEN   ;   ii = 1
+      ELSEIF( ii > mig(jpi) ) THEN   ;   ii = jpi
+      ELSE                           ;   ii = mi1(ii)
+      ENDIF
+      IF    ( ij < mjg( 1 ) ) THEN   ;   ij = 1
+      ELSEIF( ij > mjg(jpj) ) THEN   ;   ij = jpj
+      ELSE                           ;   ij  = mj1(ij)
+      ENDIF
+      !
+      IF( ii == jpi )   ii = ii-1      
+      IF( ij == jpj )   ij = ij-1
+      !
       icb_utl_bilin = ( pfld(ii,ij  ) * (1.-zi) + pfld(ii+1,ij  ) * zi ) * (1.-zj)   &
          &          + ( pfld(ii,ij+1) * (1.-zi) + pfld(ii+1,ij+1) * zi ) *     zj
@@ -340,24 +325,16 @@
       !
       ! find position in this processor. Prevent near edge problems (see #1389)
-
-      if (ii.lt.mig(1)) then
-        ii = 1
-      else if (ii.gt.mig(jpi)) then
-        ii = jpi
-      else
-        ii  = mi1( ii  )
-      end if
-
-      if (ij.lt.mjg(1)) then
-        ij = 1
-      else if (ij.gt.mjg(jpj)) then
-        ij = jpj
-      else
-        ij  = mj1( ij  )
-      end if
-
-      if (ij.eq.jpj) ij=ij-1
-      if (ii.eq.jpi) ii=ii-1
-
+      IF    ( ii < mig( 1 ) ) THEN   ;   ii = 1
+      ELSEIF( ii > mig(jpi) ) THEN   ;   ii = jpi
+      ELSE                           ;   ii = mi1(ii)
+      ENDIF
+      IF    ( ij < mjg( 1 ) ) THEN   ;   ij = 1
+      ELSEIF( ij > mjg(jpj) ) THEN   ;   ij = jpj
+      ELSE                           ;   ij  = mj1(ij)
+      ENDIF
+      !
+      IF( ii == jpi )   ii = ii-1      
+      IF( ij == jpj )   ij = ij-1
+      !
       z4(1) = pfld(ii  ,ij  )
       z4(2) = pfld(ii+1,ij  )
@@ -408,24 +385,16 @@
 
       ! find position in this processor. Prevent near edge problems (see #1389)
-
-      if (ii.lt.mig(1)) then
-        ii = 1
-      else if (ii.gt.mig(jpi)) then
-        ii = jpi
-      else
-        ii  = mi1( ii  )
-      end if
-
-      if (ij.lt.mjg(1)) then
-        ij = 1
-      else if (ij.gt.mjg(jpj)) then
-        ij = jpj
-      else
-        ij  = mj1( ij  )
-      end if
-
-      if (ij.eq.jpj) ij=ij-1
-      if (ii.eq.jpi) ii=ii-1
-
+      IF    ( ii < mig( 1 ) ) THEN   ;   ii = 1
+      ELSEIF( ii > mig(jpi) ) THEN   ;   ii = jpi
+      ELSE                           ;   ii = mi1(ii)
+      ENDIF
+      IF    ( ij < mjg( 1 ) ) THEN   ;   ij = 1
+      ELSEIF( ij > mjg(jpj) ) THEN   ;   ij = jpj
+      ELSE                           ;   ij  = mj1(ij)
+      ENDIF
+      !
+      IF( ii == jpi )   ii = ii-1      
+      IF( ij == jpj )   ij = ij-1
+      !
       IF(    0.0_wp <= zi .AND. zi < 0.5_wp   ) THEN
          IF( 0.0_wp <= zj .AND. zj < 0.5_wp        )   THEN        !  NE quadrant
Index: /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/LBC/lbc_nfd_ext_generic.h90
===================================================================
--- /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/LBC/lbc_nfd_ext_generic.h90	(revision 9189)
+++ /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/LBC/lbc_nfd_ext_generic.h90	(revision 9190)
@@ -11,4 +11,5 @@
 
    SUBROUTINE ROUTINE_NFD( ptab, cd_nat, psgn, kextj )
+      !!----------------------------------------------------------------------
       ARRAY_TYPE(:,:,:,:,:)                             ! array or pointer of arrays on which the boundary condition is applied
       CHARACTER(len=1) , INTENT(in   ) ::   NAT_IN(:)   ! nature of array grid-points
Index: /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/LBC/lbc_nfd_nogather_generic.h90
===================================================================
--- /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/LBC/lbc_nfd_nogather_generic.h90	(revision 9189)
+++ /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/LBC/lbc_nfd_nogather_generic.h90	(revision 9190)
@@ -55,5 +55,4 @@
 
    SUBROUTINE ROUTINE_NFD( ptab, ptab2, cd_nat, psgn, kfld )
-      !
       !!----------------------------------------------------------------------
       !!
@@ -85,4 +84,5 @@
       !
       DO jf = 1, ipf                      ! Loop over the number of arrays to be processed
+         !
          SELECT CASE ( npolj )
          !
@@ -90,17 +90,18 @@
             !
             SELECT CASE ( NAT_IN(jf) )
-               CASE ( 'T' , 'W' )                         ! T-, W-point
-                  IF ( nimpp /= 1 ) THEN   ;   startloop = 1
-                  ELSE                     ;   startloop = 2
-               ENDIF
-                  !
+            !
+            CASE ( 'T' , 'W' )                         ! T-, W-point
+               IF ( nimpp /= 1 ) THEN   ;   startloop = 1
+               ELSE                     ;   startloop = 2
+               ENDIF
+               !
                DO ji = startloop, nlci
-                 ijt=jpiglo - ji - nimpp - nfiimpp(isendto(1),jpnj) + 4
-                        ARRAY_IN(ji,ijpj,:,:,jf) = SGN_IN(jf) * ARRAY2_IN(ijt,ijpj-2,:,:,jf)
-               END DO
-               IF(nimpp .eq. 1) THEN
-                 ARRAY_IN(1,ijpj,:,:,jf) = SGN_IN(jf) * ARRAY_IN(3,ijpj-2,:,:,jf)
-               ENDIF
-   
+                  ijt = jpiglo - ji - nimpp - nfiimpp(isendto(1),jpnj) + 4
+                  ARRAY_IN(ji,ijpj,:,:,jf) = SGN_IN(jf) * ARRAY2_IN(ijt,ijpj-2,:,:,jf)
+               END DO
+               IF( nimpp == 1 ) THEN
+                  ARRAY_IN(1,ijpj,:,:,jf) = SGN_IN(jf) * ARRAY_IN(3,ijpj-2,:,:,jf)
+               ENDIF
+               !
                IF( nimpp >= jpiglo/2+1 ) THEN
                   startloop = 1
@@ -110,15 +111,15 @@
                   startloop = nlci + 1
                ENDIF
-               IF(startloop <= nlci) THEN
-               DO ji = startloop, nlci
-                  ijt = jpiglo - ji - nimpp - nfiimpp(isendto(1),jpnj) + 4
-                  jia = ji + nimpp - 1
-                  ijta = jpiglo - jia + 2
-                  IF( ijta >= startloop+nimpp-1 .AND. ijta < jia ) THEN
-                             ARRAY_IN(ji,ijpjm1,:,:,jf) = SGN_IN(jf) * ARRAY_IN(ijta-nimpp+1,ijpjm1,:,:,jf)
-                  ELSE
-                             ARRAY_IN(ji,ijpjm1,:,:,jf) = SGN_IN(jf) * ARRAY2_IN(ijt,ijpjm1,:,:,jf)
-                  ENDIF
-               END DO
+               IF( startloop <= nlci ) THEN
+                  DO ji = startloop, nlci
+                     ijt  = jpiglo - ji - nimpp - nfiimpp(isendto(1),jpnj) + 4
+                     jia  = ji + nimpp - 1
+                     ijta = jpiglo - jia + 2
+                     IF( ijta >= startloop+nimpp-1 .AND. ijta < jia ) THEN
+                        ARRAY_IN(ji,ijpjm1,:,:,jf) = SGN_IN(jf) * ARRAY_IN(ijta-nimpp+1,ijpjm1,:,:,jf)
+                     ELSE
+                        ARRAY_IN(ji,ijpjm1,:,:,jf) = SGN_IN(jf) * ARRAY2_IN(ijt,ijpjm1,:,:,jf)
+                     ENDIF
+                  END DO
                ENDIF
                !
@@ -289,19 +290,19 @@
                !
             CASE ( 'I' )                                  ! ice U-V point (I-point)
-                  IF( nimpp /= 1 ) THEN
-                     startloop = 1
-                  ELSE
-                     startloop = 2
-                  ENDIF
-                  IF( nimpp + nlci - 1 /= jpiglo ) THEN
-                     endloop = nlci
-                  ELSE
-                     endloop = nlci - 1
-                  ENDIF
-                  DO ji = startloop , endloop
-                     ijt = jpiglo - ji - nimpp - nfiimpp(isendto(1),jpnj) + 4
-                     ARRAY_IN(ji,ijpj,:,:,jf) = 0.5 * (ARRAY_IN(ji,ijpjm1,:,:,jf) + SGN_IN(jf) * ARRAY2_IN(ijt,ijpjm1,:,:,jf))
-                  END DO
-                  !
+               IF( nimpp /= 1 ) THEN
+                  startloop = 1
+               ELSE
+                  startloop = 2
+               ENDIF
+               IF( nimpp + nlci - 1 /= jpiglo ) THEN
+                  endloop = nlci
+               ELSE
+                  endloop = nlci - 1
+               ENDIF
+               DO ji = startloop , endloop
+                  ijt = jpiglo - ji - nimpp - nfiimpp(isendto(1),jpnj) + 4
+                  ARRAY_IN(ji,ijpj,:,:,jf) = 0.5 * (ARRAY_IN(ji,ijpjm1,:,:,jf) + SGN_IN(jf) * ARRAY2_IN(ijt,ijpjm1,:,:,jf))
+               END DO
+               !
             END SELECT
             !
@@ -310,11 +311,11 @@
             SELECT CASE ( NAT_IN(jf))
             CASE ( 'T' , 'U' , 'V' , 'W' )                 ! T-, U-, V-, W-points
-                  ARRAY_IN(:, 1  ,:,:,jf) = 0._wp
-                  ARRAY_IN(:,ijpj,:,:,jf) = 0._wp
+               ARRAY_IN(:, 1  ,:,:,jf) = 0._wp
+               ARRAY_IN(:,ijpj,:,:,jf) = 0._wp
             CASE ( 'F' )                                   ! F-point
-                  ARRAY_IN(:,ijpj,:,:,jf) = 0._wp
+               ARRAY_IN(:,ijpj,:,:,jf) = 0._wp
             CASE ( 'I' )                                   ! ice U-V point
-                  ARRAY_IN(:, 1  ,:,:,jf) = 0._wp
-                  ARRAY_IN(:,ijpj,:,:,jf) = 0._wp
+               ARRAY_IN(:, 1  ,:,:,jf) = 0._wp
+               ARRAY_IN(:,ijpj,:,:,jf) = 0._wp
             END SELECT
             !
Index: /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk.F90
===================================================================
--- /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk.F90	(revision 9189)
+++ /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk.F90	(revision 9190)
@@ -273,8 +273,8 @@
          WRITE(numout,*)
          SELECT CASE( nblk )              !* Print the choice of bulk algorithm
-         CASE( np_NCAR      )   ;   WRITE(numout,*) '      ===>>   "NCAR" algorithm        (Large and Yeager 2008)'
-         CASE( np_COARE_3p0 )   ;   WRITE(numout,*) '      ===>>   "COARE 3.0" algorithm   (Fairall et al. 2003)'
-         CASE( np_COARE_3p5 )   ;   WRITE(numout,*) '      ===>>   "COARE 3.5" algorithm   (Edson et al. 2013)'
-         CASE( np_ECMWF     )   ;   WRITE(numout,*) '      ===>>   "ECMWF" algorithm       (IFS cycle 31)'
+         CASE( np_NCAR      )   ;   WRITE(numout,*) '   ==>>>   "NCAR" algorithm        (Large and Yeager 2008)'
+         CASE( np_COARE_3p0 )   ;   WRITE(numout,*) '   ==>>>   "COARE 3.0" algorithm   (Fairall et al. 2003)'
+         CASE( np_COARE_3p5 )   ;   WRITE(numout,*) '   ==>>>   "COARE 3.5" algorithm   (Edson et al. 2013)'
+         CASE( np_ECMWF     )   ;   WRITE(numout,*) '   ==>>>   "ECMWF" algorithm       (IFS cycle 31)'
          END SELECT
          !
Index: /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/SBC/sbcmod.F90
===================================================================
--- /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/SBC/sbcmod.F90	(revision 9189)
+++ /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/SBC/sbcmod.F90	(revision 9190)
@@ -110,5 +110,4 @@
       READ  ( numnam_ref, namsbc, IOSTAT = ios, ERR = 901)
 901   IF( ios /= 0 )   CALL ctl_nam ( ios , 'namsbc in reference namelist', lwp )
-      !
       REWIND( numnam_cfg )          !* Namelist namsbc in configuration namelist : Parameters of the run
       READ  ( numnam_cfg, namsbc, IOSTAT = ios, ERR = 902 )
@@ -188,12 +187,12 @@
       SELECT CASE( nn_components )
       CASE( jp_iam_nemo )
-         IF(lwp) WRITE(numout,*) '   NEMO configured as a single executable (i.e. including both OPA and Surface module'
+         IF(lwp) WRITE(numout,*) '   ==>>>   NEMO configured as a single executable (i.e. including both OPA and Surface module)'
       CASE( jp_iam_opa  )
-         IF(lwp) WRITE(numout,*) '   Multi executable configuration. Here, OPA component'
+         IF(lwp) WRITE(numout,*) '   ==>>>   Multi executable configuration. Here, OPA component'
          IF( .NOT.lk_oasis )   CALL ctl_stop( 'sbc_init : OPA-SAS coupled via OASIS, but key_oasis3 disabled' )
          IF( ln_cpl        )   CALL ctl_stop( 'sbc_init : OPA-SAS coupled via OASIS, but ln_cpl = T in OPA'   )
          IF( ln_mixcpl     )   CALL ctl_stop( 'sbc_init : OPA-SAS coupled via OASIS, but ln_mixcpl = T in OPA' )
       CASE( jp_iam_sas  )
-         IF(lwp) WRITE(numout,*) '   Multi executable configuration. Here, SAS component'
+         IF(lwp) WRITE(numout,*) '   ==>>>   Multi executable configuration. Here, SAS component'
          IF( .NOT.lk_oasis )   CALL ctl_stop( 'sbc_init : OPA-SAS coupled via OASIS, but key_oasis3 disabled' )
          IF( ln_mixcpl     )   CALL ctl_stop( 'sbc_init : OPA-SAS coupled via OASIS, but ln_mixcpl = T in OPA' )
@@ -272,13 +271,13 @@
          WRITE(numout,*)
          SELECT CASE( nsbc )
-         CASE( jp_usr     )   ;   WRITE(numout,*) '   user defined formulation'
-         CASE( jp_flx     )   ;   WRITE(numout,*) '      ===>>   flux formulation'
-         CASE( jp_blk     )   ;   WRITE(numout,*) '      ===>>   bulk formulation'
-         CASE( jp_purecpl )   ;   WRITE(numout,*) '      ===>>   pure coupled formulation'
+         CASE( jp_usr     )   ;   WRITE(numout,*) '   ==>>>   user defined forcing formulation'
+         CASE( jp_flx     )   ;   WRITE(numout,*) '   ==>>>   flux formulation'
+         CASE( jp_blk     )   ;   WRITE(numout,*) '   ==>>>   bulk formulation'
+         CASE( jp_purecpl )   ;   WRITE(numout,*) '   ==>>>   pure coupled formulation'
 !!gm abusive use of jp_none ??   ===>>> need to be check and changed by adding a jp_sas parameter
-         CASE( jp_none    )   ;   WRITE(numout,*) '      ===>>   OPA coupled to SAS via oasis'
-            IF( ln_mixcpl )       WRITE(numout,*) '                  + forced-coupled mixed formulation'
+         CASE( jp_none    )   ;   WRITE(numout,*) '   ==>>>   OPA coupled to SAS via oasis'
+            IF( ln_mixcpl )       WRITE(numout,*) '               + forced-coupled mixed formulation'
          END SELECT
-         IF( ll_not_nemo  )       WRITE(numout,*) '                  + OASIS coupled SAS'
+         IF( ll_not_nemo  )       WRITE(numout,*) '               + OASIS coupled SAS'
       ENDIF
       !
Index: /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/TRA/traadv.F90
===================================================================
--- /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/TRA/traadv.F90	(revision 9189)
+++ /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/TRA/traadv.F90	(revision 9190)
@@ -256,12 +256,12 @@
          WRITE(numout,*)
          SELECT CASE ( nadv )
-         CASE( np_NO_adv  )   ;   WRITE(numout,*) '      ===>>   NO T-S advection'
-         CASE( np_CEN     )   ;   WRITE(numout,*) '      ===>>   CEN      scheme is used. Horizontal order: ', nn_cen_h,   &
-            &                                                                     ' Vertical   order: ', nn_cen_v
-         CASE( np_FCT     )   ;   WRITE(numout,*) '      ===>>   FCT      scheme is used. Horizontal order: ', nn_fct_h,   &
-            &                                                                      ' Vertical   order: ', nn_fct_v
-         CASE( np_MUS     )   ;   WRITE(numout,*) '      ===>>   MUSCL    scheme is used'
-         CASE( np_UBS     )   ;   WRITE(numout,*) '      ===>>   UBS      scheme is used'
-         CASE( np_QCK     )   ;   WRITE(numout,*) '      ===>>   QUICKEST scheme is used'
+         CASE( np_NO_adv  )   ;   WRITE(numout,*) '   ==>>>   NO T-S advection'
+         CASE( np_CEN     )   ;   WRITE(numout,*) '   ==>>>   CEN      scheme is used. Horizontal order: ', nn_cen_h,   &
+            &                                                                        ' Vertical   order: ', nn_cen_v
+         CASE( np_FCT     )   ;   WRITE(numout,*) '   ==>>>   FCT      scheme is used. Horizontal order: ', nn_fct_h,   &
+            &                                                                        ' Vertical   order: ', nn_fct_v
+         CASE( np_MUS     )   ;   WRITE(numout,*) '   ==>>>   MUSCL    scheme is used'
+         CASE( np_UBS     )   ;   WRITE(numout,*) '   ==>>>   UBS      scheme is used'
+         CASE( np_QCK     )   ;   WRITE(numout,*) '   ==>>>   QUICKEST scheme is used'
          END SELECT
       ENDIF
Index: /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_mle.F90
===================================================================
--- /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_mle.F90	(revision 9189)
+++ /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_mle.F90	(revision 9190)
@@ -292,9 +292,9 @@
          WRITE(numout,*)
          IF( ln_mle ) THEN
-            WRITE(numout,*) '      ===>>   Mixed Layer Eddy induced transport added to tracer advection'
+            WRITE(numout,*) '   ==>>>   Mixed Layer Eddy induced transport added to tracer advection'
             IF( nn_mle == 0 )   WRITE(numout,*) '              Fox-Kemper et al 2010 formulation'
             IF( nn_mle == 1 )   WRITE(numout,*) '              New formulation'
          ELSE
-            WRITE(numout,*) '      ===>>   Mixed Layer Eddy parametrisation NOT used'
+            WRITE(numout,*) '   ==>>>   Mixed Layer Eddy parametrisation NOT used'
          ENDIF
       ENDIF
Index: /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/TRA/trabbc.F90
===================================================================
--- /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/TRA/trabbc.F90	(revision 9189)
+++ /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/TRA/trabbc.F90	(revision 9190)
@@ -160,9 +160,9 @@
          !
          CASE ( 1 )                          !* constant flux
-            IF(lwp) WRITE(numout,*) '      ===>>   constant heat flux  =   ', rn_geoflx_cst
+            IF(lwp) WRITE(numout,*) '   ==>>>   constant heat flux  =   ', rn_geoflx_cst
             qgh_trd0(:,:) = r1_rau0_rcp * rn_geoflx_cst
             !
          CASE ( 2 )                          !* variable geothermal heat flux : read the geothermal fluxes in mW/m2
-            IF(lwp) WRITE(numout,*) '      ===>>   variable geothermal heat flux'
+            IF(lwp) WRITE(numout,*) '   ==>>>   variable geothermal heat flux'
             !
             ALLOCATE( sf_qgh(1), STAT=ierror )
@@ -186,5 +186,5 @@
          !
       ELSE
-         IF(lwp) WRITE(numout,*) '      ===>>   no geothermal heat flux'
+         IF(lwp) WRITE(numout,*) '   ==>>>   no geothermal heat flux'
       ENDIF
       !
Index: /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/TRA/traldf.F90
===================================================================
--- /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/TRA/traldf.F90	(revision 9189)
+++ /branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/TRA/traldf.F90	(revision 9190)
@@ -185,11 +185,11 @@
          WRITE(numout,*)
          SELECT CASE( nldf )
-         CASE( np_no_ldf )   ;   WRITE(numout,*) '      ===>>   NO lateral diffusion'
-         CASE( np_lap    )   ;   WRITE(numout,*) '      ===>>   laplacian iso-level operator'
-         CASE( np_lap_i  )   ;   WRITE(numout,*) '      ===>>   Rotated laplacian operator (standard)'
-         CASE( np_lap_it )   ;   WRITE(numout,*) '      ===>>   Rotated laplacian operator (triad)'
-         CASE( np_blp    )   ;   WRITE(numout,*) '      ===>>   bilaplacian iso-level operator'
-         CASE( np_blp_i  )   ;   WRITE(numout,*) '      ===>>   Rotated bilaplacian operator (standard)'
-         CASE( np_blp_it )   ;   WRITE(numout,*) '      ===>>   Rotated bilaplacian operator (triad)'
+         CASE( np_no_ldf )   ;   WRITE(numout,*) '   ==>>>   NO lateral diffusion'
+         CASE( np_lap    )   ;   WRITE(numout,*) '   ==>>>   laplacian iso-level operator'
+         CASE( np_lap_i  )   ;   WRITE(numout,*) '   ==>>>   Rotated laplacian operator (standard)'
+         CASE( np_lap_it )   ;   WRITE(numout,*) '   ==>>>   Rotated laplacian operator (triad)'
+         CASE( np_blp    )   ;   WRITE(numout,*) '   ==>>>   bilaplacian iso-level operator'
+         CASE( np_blp_i  )   ;   WRITE(numout,*) '   ==>>>   Rotated bilaplacian operator (standard)'
+         CASE( np_blp_it )   ;   WRITE(numout,*) '   ==>>>   Rotated bilaplacian operator (triad)'
          END SELECT
       ENDIF
